Get Group Roles On Organization

Get Group Roles On Organization

Use this API instead:

  • /cloudapi/1.0.0/groups/{{groupUrn}}

Get roles of a group within organization.

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member
Service Account (Whitelisted Client)
Request
URI
GET
https://vra-interop-222-139.lvn.broadcom.net/csp/gateway/am/api/orgs/{orgId}/groups/{groupId}/roles
COPY
Path Parameters
string
orgId
Required

Unique identifier (GUID) of the organization.

string
groupId
Required

Unique identifier of the group.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns GroupRolesResponse of type(s) */*
{
    "organizationRoles": [
        {
            "id": "string",
            "name": "string",
            "membershipType": "string",
            "expiresAt": "string",
            "displayName": "string",
            "orgId": "string"
        }
    ],
    "serviceRoles": [
        {
            "serviceDefinitionId": "string",
            "serviceRoleNames": [
                "string"
            ],
            "serviceRoles": [
                {
                    "id": "string",
                    "name": "string",
                    "membershipType": "string",
                    "expiresAt": "string",
                    "resource": "string"
                }
            ]
        }
    ]
}
array of object
organizationRoles
Optional

organizationRoles

array of object
serviceRoles
Optional

serviceRoles


400

Invalid request parameters.

Returns GroupRolesResponse of type(s) */*
"GroupRolesResponse Object"
array of object
organizationRoles
Optional

organizationRoles

array of object
serviceRoles
Optional

serviceRoles


401

The user is not authorized to use the API.

Returns GroupRolesResponse of type(s) */*
"GroupRolesResponse Object"
array of object
organizationRoles
Optional

organizationRoles

array of object
serviceRoles
Optional

serviceRoles


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/orgs/{orgId}/groups/{groupId}/roles